import { ActionFormData } from '@minecraft/server-ui';
import { showSelectItemForm } from '../selectItemForm';

export async function showMilkForm(player){
    let form = new ActionFormData();
    form.title("Apples+ Add-On Guide Book");



    form.body(`§2§lMilk Apple:\n\n§aShapeless Crafting:\n§r§f1x Apple\n1x Milk Bucket\n\nNote: Crafting this will return the bucket to you!\n\n§a§lWhat It Does:\n§r§fEating the §lMilk Apple§r will clear all potion effects applied to the player.\n\nIt will also clear the dynamic lighting effect given by the §lTorch Apple§r! \n\n`);

    form.button("Back", "textures/blocks/barrier.png");




    const result = await form.show(player)
    const selection = result.selection;

    if(selection === 0){
        showSelectItemForm(player)
    } else if(selection === 1){}
}
