import { ActionFormData } from '@minecraft/server-ui';
import { showSelectItemForm } from '../selectItemForm';

export async function showWaterForm(player){
    let form = new ActionFormData();
    form.title("Apples+ Add-On Guide Book");



    form.body(`§2§lWater Apple:\n\n§aShapeless Crafting:\n§r§f1x Apple\n1x Water Bucket\n\nNote: Crafting this will return the bucket to you!\n\n§a§lWhat It Does:\n§r§fEating the §lWater Apple§r will give a short Fire Resistance boost to extinguish you.\n\nIt will also give you a short Water Breathing effect!\n\nYou can also place this down on the ground to place a water block, like a water bucket, but these are stackable!`);

    form.button("Back", "textures/blocks/barrier.png");




    const result = await form.show(player)
    const selection = result.selection;

    if(selection === 0){
        showSelectItemForm(player)
    } else if(selection === 1){}
}
