import { ActionFormData } from '@minecraft/server-ui';
import { showMainMenuForm } from './mainMenuForm';
import { showApplePickerForm } from './mobs/showApplePickerForm';
import { showMinionEntityForm } from './mobs/showMinionEntityForm';
import { showGoldenMinionEntityForm } from './mobs/showGoldenMinionEntityForm';
import { showRottenMinionEntityForm } from './mobs/showRottenMinionEntityForm';
export async function showSelectEntityForm(player){
    let form = new ActionFormData();
    form.title("Apples+ Add-On Guide Book");



    form.body(`§2§lSelect one of the buttons below to find out more!\n\n`);

    form.button("Apple Picker", "textures/jfc/apples/forms/apple_picker.png");
    form.button("Minion", "textures/jfc/apples/forms/minion.png");
    form.button("Rotten Minion", "textures/jfc/apples/forms/minion_rotten.png");
    form.button("Golden Minion", "textures/jfc/apples/forms/minion_golden.png");

    form.button("Back", "textures/blocks/barrier.png");


    const result = await form.show(player)
    const selection = result.selection;

if(selection === 0){
        showApplePickerForm(player)
    } else if(selection === 1){
        showMinionEntityForm(player)
    } else if(selection === 2){
        showRottenMinionEntityForm(player)
    } else if(selection === 3){
        showGoldenMinionEntityForm(player)
    } else if(selection === 4){
        showMainMenuForm(player)
    }
}
