import { ActionFormData } from '@minecraft/server-ui';
import { showSelectItemForm } from '../selectItemForm';

export async function showEchoForm(player){
    let form = new ActionFormData();
    form.title("Apples+ Add-On Guide Book");



    form.body(`§2§lEcho Apple:\n\n§aShapeless Crafting:\n§r§f1x Apple\n1x Echo Shard\n7x Sculk\n\n§a§lWhat It Does:\n§r§fWhen you eat the §lInactive Echo Apple§r, it will set a 1 time temporary checkpoint and activate!\n\nEating the §lActive Echo Apple§r, will teleport you back to the checkpoint and clear it.\n\nThis is very handy for mining trips where you may need a quick escape back to your base! \n\n`);

    form.button("Back", "textures/blocks/barrier.png");




    const result = await form.show(player)
    const selection = result.selection;

    if(selection === 0){
        showSelectItemForm(player)
    } else if(selection === 1){}
}
