import { ActionFormData } from '@minecraft/server-ui';
import { showSelectItemForm } from '../selectItemForm';

export async function showLavaForm(player){
    let form = new ActionFormData();
    form.title("Apples+ Add-On Guide Book");



    form.body(`§2§lLava Apple:\n\n§aShapeless Crafting:\n§r§f1x Apple\n1x Lava Bucket\n\nNote: Crafting this will return the bucket to you!\n\n§a§lWhat It Does:\n§r§fEating the §lLava Apple§r will SET YOU ON FIRE!\n\nIt also melts any nearby ice and snow and drys nearby wet sponges!\n\nYou can also place this down on the ground to place a lava block, like a lava bucket, but these are stackable!`);

    form.button("Back", "textures/blocks/barrier.png");




    const result = await form.show(player)
    const selection = result.selection;

    if(selection === 0){
        showSelectItemForm(player)
    } else if(selection === 1){}
}
