import { ActionFormData } from '@minecraft/server-ui';
import { showSelectItemForm } from '../selectItemForm';

export async function showSuspiciousForm(player){
    let form = new ActionFormData();
    form.title("Apples+ Add-On Guide Book");



    form.body(`§2§lSuspicious Apple:\n\n§aShapeless Crafting:\n§r§fThis apple is not craftable and can only be obtained by trading with the Apple Picker!\n\n§a§lWhat It Does:\n§r§fWhen you eat a §lSuspicious Apple§r, you will get a randomised effect!\n\n§a§lPossible Effects:§r\n§a-§r Fire Resistance\n§a-§r Blindness\n§a-§r Saturation\n§a-§r Jump Boost\n§a-§r Poison\n§a-§r Regeneration\n§a-§r Night Vision\n§a-§r Weakness\n§a-§r Wither\n\n`);


        form.button("Back", "textures/blocks/barrier.png");
    
    
    
    
        const result = await form.show(player)
        const selection = result.selection;
    
        if(selection === 0){
            showSelectItemForm(player)
        } else if(selection === 1){}
}
