import { ActionFormData } from '@minecraft/server-ui';
import { showSelectItemForm } from './selectItemForm';
import { showSelectEntityForm } from './selectEntityForm';

export async function showMainMenuForm(player){
    let form = new ActionFormData();
    form.title("Apples+ Add-On Guide Book");



    form.body(`§2§lWhat is Apples+ Add-On?\n\n§r§aApples+ is an Add-On by JFCrafters which provides you with apples that give special abilities and power ups. These can obtained through crafting and trading. \n\nSelect the buttons to find out more!\n\n§2§lJoin our Discord: §r§a\nhttps://discord.com/invite/66dW7EV\n\n`);

    form.button("Items", "textures/items/apple.png");
    form.button("Mobs", "textures/items/apple.png");
    form.button("Back", "textures/blocks/barrier.png");



    const result = await form.show(player)
    const selection = result.selection;

    if(selection === 0){
        showSelectItemForm(player)
    } else if(selection === 1){
        showSelectEntityForm(player)
    } else if(selection === 2){
        showSocialsForm(player)
    } else if(selection === 3){
        showCreditForm(player)}
}
