import { ActionFormData } from '@minecraft/server-ui';
import { showHeroForm } from './items/showHeroForm';
import {showHeartForm} from './items/showHeartForm';
import { showFeatherForm } from './items/showFeatherForm';
import { showFeastForm } from './items/showFeastForm';
import { showLevitationForm } from './items/showLevitationForm';
import { showSpongeForm } from './items/showSpongeForm';
import { showEchoForm } from './items/showEchoForm';
import { showMilkForm } from './items/showMilkForm';
import { showWaterForm } from './items/showWaterForm';
import { showLavaForm } from './items/showLavaForm';
import { showExperienceForm } from './items/showExperienceForm';
import { showPlagueForm } from './items/showPlagueForm';
import { showSuspiciousForm } from './items/showSuspiciousForm';
import { showOreForm } from './items/showOreForm';
import { showEnderForm } from './items/showEnderForm';
import { showClearingForm } from './items/showClearingForm';
import { showTorchForm } from './items/showTorchForm';
import { showGrowingForm } from './items/showGrowingForm';
import { showIronForm } from './items/showIronForm';
import { showSwordForm } from './items/showSwordForm';
import { showMinionItemForm } from './items/showMinionItemForm';
import { showRottenItemForm } from './items/showRottenItemForm';
import { showGuideBookItemForm } from './items/showGuideBookItemForm';
import { showMainMenuForm } from './mainMenuForm';

export async function showSelectItemForm(player){
    let form = new ActionFormData();
    form.title("Apples+ Add-On Guide Book");



    form.body(`§2§lSelect one of the buttons below to find out more!\n\n`);

    form.button("Hero Apple", "textures/jfc/apples/items/hero_apple.png");
    form.button("Heart Apple", "textures/jfc/apples/items/heart_apple.png");
    form.button("Feather Apple", "textures/jfc/apples/items/feather_apple.png");
    form.button("Feast Apple", "textures/jfc/apples/items/feast_apple.png");
    form.button("Levitation Apple", "textures/jfc/apples/items/levitation_apple.png");
    form.button("Sponge Apple", "textures/jfc/apples/items/sponge_apple.png");
    form.button("Echo Apple", "textures/jfc/apples/items/active_echo_apple.png");
    form.button("Milk Apple", "textures/jfc/apples/items/milk_apple.png");
    form.button("Water Apple", "textures/jfc/apples/items/water_apple.png");
    form.button("Lava Apple", "textures/jfc/apples/items/lava_apple.png");
    form.button("Apple o' Enchanting", "textures/jfc/apples/items/experience_apple.png");
    form.button("Plague Apple", "textures/jfc/apples/items/plague_apple.png");
    form.button("Suspicious Apple", "textures/jfc/apples/items/suspicious_apple.png");
    form.button("Ore Apple", "textures/jfc/apples/items/ore_apple.png");
    form.button("Ender Apple", "textures/jfc/apples/items/ender_apple.png");
    form.button("Clearing Apple", "textures/jfc/apples/items/clearing_apple.png");
    form.button("Torch Apple", "textures/jfc/apples/items/torch_apple.png");
    form.button("Growing Apple", "textures/jfc/apples/items/growing_apple.png");
    form.button("Iron Apple", "textures/jfc/apples/items/iron_apple.png");
    form.button("Sword Apple", "textures/jfc/apples/items/sword_apple.png");
    form.button("Minion Apple", "textures/jfc/apples/items/minion_apple.png");
    form.button("Rotten Apple", "textures/jfc/apples/items/rotten_apple.png");
    form.button("Guide Book", "textures/jfc/apples/items/guide_book.png");

    form.button("Back", "textures/blocks/barrier.png");


    const result = await form.show(player)
    const selection = result.selection;

    if(selection === 0){
        showHeroForm(player)
    } else if(selection === 1){
        showHeartForm(player)
    } else if(selection === 2){
        showFeatherForm(player)
    } else if(selection === 3){
        showFeastForm(player)
    } else if(selection === 4){
        showLevitationForm(player)
    } else if(selection === 5){
        showSpongeForm(player)
    } else if(selection === 6){
        showEchoForm(player)
    } else if(selection === 7){
        showMilkForm(player)
    } else if(selection === 8){
        showWaterForm(player)
    } else if(selection === 9){
        showLavaForm(player)
    } else if(selection === 10){
        showExperienceForm(player)
    } else if(selection === 11){
        showPlagueForm(player)
    } else if(selection === 12){
        showSuspiciousForm(player)
    } else if(selection === 13){
        showOreForm(player)
    } else if(selection === 14){
        showEnderForm(player)
    } else if(selection === 15){
        showClearingForm(player)
    } else if(selection === 16){
        showTorchForm(player)
    } else if(selection === 17){
        showGrowingForm(player)
    } else if(selection === 18){
        showIronForm(player)
    } else if(selection === 19){
        showSwordForm(player)
    } else if(selection === 20){
        showMinionItemForm(player)
    } else if(selection === 21){
        showRottenItemForm(player)
    } else if(selection === 22){
        showGuideBookItemForm(player)
    } else if(selection === 23){
        showMainMenuForm(player)
    }
}
